openapi: 3.0.1
info:
  title: OKVED API V1
  version: 1.0.0
  description: Подбор ОКВЭД
  contact: {}
servers:
  - url: 'https://service.nalog.ru/okved/api/v1'
    description: Production
paths:
  '/reference/{name}':
    get:
      summary: ''
      tags:
        - okved-api
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: Результаты поиска
                oneOf:
                  - properties:
                      groups:
                        type: array
                        description: Справочник разделов ОКВЭД
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                              description: Код раздела
                            name:
                              type: string
                              description: Наименование раздела
                            size:
                              type: integer
                              description: 'Количество кодов ОКВЭД в разделе, доступных для выбора'
                          required:
                            - code
                            - name
                            - size
                    required:
                      - groups
                  - properties:
                      okveds:
                        type: array
                        description: Список кодов ОКВЭД
                        items:
                          type: object
                          properties:
                            group:
                              type: string
                              description: Код родительского раздела
                            code:
                              type: string
                              description: Код ОКВЭД
                            name:
                              type: string
                              description: Наименование вида деятельности
                            description:
                              type: string
                              description: Описание вида деятельности
                            selectable:
                              description: Признак доступности кода ОКВЭД для выбора
                              type: boolean
                          required:
                            - group
                            - code
                            - name
                    required:
                      - okveds
                  - properties:
                      licenses:
                        type: array
                        description: Список лицензируемых видов деятельности
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                              description: Код ОКВЭД
                            license:
                              type: integer
                              description: Признак лицензируемого вида деятельности (1 - требуется получение лицензии и (или) разрешения на осуществление деятельности)
                              enum:
                                - 1
                          required:
                            - code
                            - license
                    required:
                      - licenses
                  - properties:
                      risks:
                        type: array
                        description: Справочник классов профессионального риска
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                              description: Код ОКВЭД
                            risk:
                              description: Класс профессионального риска
                              type: integer
                          required:
                            - code
                            - risk
                    required:
                      - risks
                  - properties:
                      batches:
                        type: array
                        description: Пакетные решения
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              description: Наименование пакетного решения
                            npo:
                              type: boolean
                              description: Признак некоммерческой организации
                              default: false
                            tags:
                              type: array
                              description: Ключевые слова
                              items:
                                type: string
                            items:
                              type: array
                              description: Список кодов ОКВЭД
                              items:
                                type: object
                                properties:
                                  code:
                                    type: string
                                    description: Код ОКВЭД
                                  name:
                                    type: string
                                    description: Наименование вида деятельности
                                  note:
                                    type: string
                                    description: Примечание к дополнительному виду деятельности
                                  main:
                                    type: boolean
                                    description: Указанный код ОКВЭД рекомендуется как основной
                                    default: false
                                required:
                                  - code
                                  - name
                          required:
                            - name
                            - items
                    required:
                      - batches
                  - properties:
                      related:
                        type: array
                        description: 'Коды ОКВЭД, которые часто регистрируются вместе с выбранными'
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                              description: Выбранный код ОКВЭД
                            codes:
                              type: array
                              description: 'Коды ОКВЭД, которые часто регистрируются вместе с выбранным.'
                              minItems: 1
                              maxItems: 5
                              uniqueItems: true
                              items:
                                type: string
                          required:
                            - code
                            - codes
                    required:
                      - related
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      operationId: getReference
      description: Получение актуального справочника
    parameters:
      - schema:
          type: string
          enum:
            - groups
            - okveds
            - licenses
            - risks
            - batches
            - related
        name: name
        in: path
        required: true
        description: Наименование справочника
  /search:
    parameters: []
    post:
      summary: ''
      operationId: search
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                description: Результаты поиска
                properties:
                  totalFound:
                    type: integer
                    description: Количество найденных кодов ОКВЭД
                  found:
                    type: array
                    description: Найденные коды ОКВЭД в разбивке по группам
                    items:
                      $ref: '#/components/schemas/OkvedItem'
                  related:
                    type: array
                    description: Вместе с найденными кодами часто регистрируют
                    items:
                      $ref: '#/components/schemas/OkvedItem'
                  batch:
                    type: array
                    description: Найденные пакетные решения
                    items:
                      type: object
                      description: Пакетное решение
                      properties:
                        name:
                          type: string
                          description: Наименование пакетного решения
                        size:
                          type: integer
                          description: 'Количество кодов ОКВЭД, доступных для выбора'
                        npo:
                          type: boolean
                          description: Признак некоммерческой организации
                          default: false
                        items:
                          type: array
                          description: Список кодов ОКВЭД
                          items:
                            $ref: '#/components/schemas/OkvedItem'
                      required:
                        - name
                        - size
                        - items
                  filters:
                    type: object
                    description: 'Допустимые значения фильтров, применимые для текущих критериев поиска'
                    required:
                      - filter1
                      - filter2
                      - filter3
                      - tags
                    properties:
                      filter1:
                        type: array
                        description: Виды деятельности
                        items:
                          type: string
                      filter2:
                        type: array
                        description: Сферы деятельности
                        items:
                          type: string
                      filter3:
                        type: array
                        description: Детализации сфер деятельности
                        items:
                          type: string
                      tags:
                        type: array
                        description: Ключевые слова
                        items:
                          type: string
                required:
                  - totalFound
                  - filters
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      description: Поиск кодов ОКВЭД
      parameters:
        - schema:
            type: string
          in: query
          name: query
          description: Поисковый запрос
          style: form
        - schema:
            type: array
          in: query
          name: filter1
          description: 'Фильтр: вид деятельности'
          style: form
          explode: true
        - schema:
            type: array
          in: query
          name: filter2
          description: 'Фильтр: сфера деятельности'
          style: form
          explode: true
        - schema:
            type: array
          in: query
          name: filter3
          description: 'Фильтр: детализация сферы деятельности'
          style: form
          explode: true
        - schema:
            type: array
          in: query
          name: tags
          description: 'Фильтр: ключевые слова'
          style: form
          explode: true
        - schema:
            type: string
            enum:
              - '0'
              - '1'
            default: '1'
          in: query
          name: npo
          description: 'Фильтр: отбирать коды ОКВЭД для коммерческой организации (0 - нет, 1 - да)'
          style: form
        - schema:
            type: string
            enum:
              - '0'
              - '1'
            default: '0'
          in: query
          name: license
          description: 'Фильтр: исключить лицензируемые виды деятельности (0 - нет, 1 - да)'
          style: form
      tags:
        - okved-api
  '/description/{code}':
    get:
      summary: ''
      tags:
        - okved-api
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                description: Сведения о юридическом лице
                properties:
                  description:
                    type: string
                    description: Описание группировки вида деятельности
                required:
                  - description
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      operationId: getDescription
      description: Получить описание группировки вида деятельности по коду ОКВЭД
    parameters:
      - schema:
          type: string
        name: code
        in: path
        required: true
        description: Код по ОКВЭД
  /related:
    post:
      summary: ''
      tags:
        - okved-api
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                description: Сведения о юридическом лице
                properties:
                  related:
                    type: array
                    description: 'Список кодов ОКВЭД, часто регистрируемых с выбранными кодами'
                    items:
                      $ref: '#/components/schemas/OkvedItem'
                required:
                  - related
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      operationId: getRelatedOkveds
      description: 'Получить список кодов ОКВЭД, часто регистрируемых с выбранными кодами'
      parameters:
        - schema:
            type: array
          in: query
          style: form
          name: code
          description: Выбранные коды ОКВЭД
          required: true
          explode: true
  '/egrn/{id}':
    get:
      summary: ''
      tags:
        - okved-api
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  egrn:
                    type: object
                    description: Сведения о ЮЛ или ИП
                    required:
                      - taxPayerType
                      - ogrn
                      - inn
                      - name
                      - status
                      - registered
                    properties:
                      taxPayerType:
                        type: string
                        description: Тип налогоплательщика (UL или IP)
                        enum:
                          - UL
                          - IP
                      ogrn:
                        type: string
                        description: ОГРН или ОГРНИП
                      inn:
                        type: string
                        description: ИНН
                      kpp:
                        type: string
                        description: КПП (только для ЮЛ)
                      name:
                        type: string
                        description: Наименование организации или ФИО ИП
                      status:
                        type: string
                        description: Статус налогоплательщика по справочнику СЮЛСТ или СИПСТ
                      registered:
                        type: string
                        description: Дата регистрации
                        format: date
                      commercialCompanyTag:
                        type: number
                        description: 'Признак коммерческой организации (0 - нет, 1 - да)'
                        default: 0
                        enum:
                          - 0
                          - 1
                      farmTag:
                        type: number
                        description: 'Признак КФХ (0 - нет, 1 - да)'
                        default: 0
                        enum:
                          - 0
                          - 1
                      okveds:
                        type: array
                        description: Список кодов ОКВЭД заявительного типа
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                              description: Код по ОКВЭД
                            egrnMain:
                              type: boolean
                              description: Признак основного вида деятельности
                              default: false
                          required:
                            - code
                      reportedOkveds:
                        type: array
                        description: Список кодов ОКВЭД отчётного типа
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                              description: Код по ОКВЭД
                            egrnMain:
                              type: boolean
                              description: Признак основного вида деятельности
                              default: false
                          required:
                            - code
                required:
                  - egrn
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      operationId: getEgrn
      description: Получение информации о ЮЛ или ИП
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: ОГРН или ОГРНИП
components:
  schemas:
    ErrorResponse:
      type: object
      x-examples: {}
      properties:
        message:
          type: string
          example: Некорректный запрос
          description: Сообщение об ошибке
        errors:
          type: array
          description: Список ошибок форматно-логического контроля
          items:
            type: object
            properties:
              parameter:
                type: string
                description: 'Имя параметра, не прошедшего ФЛК'
              messages:
                type: array
                description: Список ошибок
                items:
                  type: string
            required:
              - parameter
              - messages
      required:
        - message
      description: Сведения об ошибке
      title: ''
    OkvedItem:
      title: OkvedItem
      type: object
      properties:
        code:
          type: string
          description: Код вида деятельности по ОКВЭД
        name:
          type: string
          description: Наименование вида деятельности
        description:
          type: boolean
          description: Признак наличия описания группировки вида деятельности
          default: false
        license:
          type: integer
          enum:
            - 1
          description: Признак лицензируемого вида деятельности
        selectable:
          type: boolean
          default: false
          description: Признак доступности для выбора
        main:
          type: boolean
          description: Рекомендуется как ОВД в рамках пакетного решения
          default: false
        note:
          type: string
          description: Комментарий к дополнительному виду деятельности в рамках пакетного решения
        size:
          type: integer
          description: 'Количество дочерних кодов ОКВЭД, доступных для выбора'
          default: 0
        items:
          type: array
          description: 'Дочерние коды ОКВЭД (обязательно, если size > 0)'
          items:
            $ref: '#/components/schemas/OkvedItem'
      required:
        - code
        - name
      description: Код ОКВЭД
  requestBodies: {}
tags:
  - name: okved-api
